<h1>Записная книжка</h1>

<div class="buttons">
  <app-button (btnClick)="sortByDateAsc()" text="Сортировать по дате (ASC)" [isDisabled]="false"></app-button>
  <app-button (btnClick)="sortByDateDesc()" text="Сортировать по дате (DESC)" [isDisabled]="false"></app-button>
  <app-button (btnClick)="sortByNameAsc()" text="Сортировать по тексту (ASC)" [isDisabled]="false"></app-button>
  <app-button (btnClick)="sortByNameDesc()" text="Сортировать по тексту (DESC)" [isDisabled]="false"></app-button>
</div>

<ul class="list">
  <li class="list__item" *ngFor="let note of notes">
    <div class="list__date">{{note.createDate | date}}</div>
    <div class="list__text">{{note.text | slice:0:20}}...</div>
    <div class="buttons">
      <app-button routerLink="/note/{{note.id}}" text="Просмотр" [isDisabled]="false" color="green"></app-button>
      <app-button (btnClick)="delete(note)" text="Удаление" [isDisabled]="false" color="red"></app-button>
    </div>
  </li>
</ul>

<div class="add-note">
  <label for="new-note">Новая заметка:</label>
  <textarea id="new-note" #noteText></textarea>
  <app-button (btnClick)="add(noteText.value); noteText.value=''" text="Добавить" [isDisabled]="false"></app-button>
</div>
